Package org.apache.tomcat.util.net

## Enum SocketWrapperBase.CompletionState

- java.lang.Object
- - java.lang.Enum<SocketWrapperBase.CompletionState>
  - - org.apache.tomcat.util.net.SocketWrapperBase.CompletionState

All Implemented Interfaces:
  `Serializable`, `Comparable<SocketWrapperBase.CompletionState>`

Enclosing class:
  SocketWrapperBase<E>

    public static enum SocketWrapperBase.CompletionState
    extends Enum<SocketWrapperBase.CompletionState>

### Enum Constant Summary

Enum Constants
`DONE` The operation completed, but not inline.
`ERROR` The operation completed inline but failed.
`INLINE` The operation completed inline.
`NOT_DONE` Operation was pending and non blocking.
`PENDING` Operation is still pending.

### Method Summary

All Methods Static Methods Concrete Methods
`static SocketWrapperBase.CompletionState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SocketWrapperBase.CompletionState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PENDING

    public static final SocketWrapperBase.CompletionState PENDING

Operation is still pending.

#### NOT_DONE

    public static final SocketWrapperBase.CompletionState NOT_DONE

Operation was pending and non blocking.

#### INLINE

    public static final SocketWrapperBase.CompletionState INLINE

The operation completed inline.

#### ERROR

    public static final SocketWrapperBase.CompletionState ERROR

The operation completed inline but failed.

#### DONE

    public static final SocketWrapperBase.CompletionState DONE

The operation completed, but not inline.

### Method Detail

#### values

    public static SocketWrapperBase.CompletionState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SocketWrapperBase.CompletionState c : SocketWrapperBase.CompletionState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SocketWrapperBase.CompletionState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null